# Installation

The Product Feeds package can be installed directly into your project's code base using NuGet packages.

## Getting started

Below you can find some steps on installing the package using NuGet and getting started with implementing the Product Feeds into your Umbraco Commerce store.

1. Install the package from [NuGet](https://www.nuget.org/packages/Umbraco.Commerce.ProductFeeds/)
2. Locate where you [register the dependencies](https://docs.umbraco.com/umbraco-commerce/key-concepts/umbraco-commerce-builder#registering-dependencies) `IUmbracoBuilder.AddUmbracoCommerce()` and add a call to `IUmbracoCommerceBuilder.AddCommerceProductFeeds()` to add this plugin to your website.

   ```csharp
    umbracoBuilder.AddUmbracoCommerce(ucBuilder => {
        ucBuilder.AddCommerceProductFeeds(); // add this line
    }
   ```
3. Open your store's setting page in the backoffice.
4. Click on `Product Feed` section.

![product feed list page](/files/DfhR1XzYDCv1ZA1Xgt1F)

5. Click on `Create Product Feed` button and fill in the feed settings. Mandatory fields are marked with a red asterisk (\*). You can add more product data by adding new mappings in `Property And Node Mapping` section.

![feed setting page](/files/CIX4qTbepovtyFVQuScl)

6. After saving the feed setting, a link to access the feed will show up under `Feed URL Segment` field and at the bottom of the page.

![open feed link](/files/LIGxKLwYiBLfEbLts1i5)

**Google Merchant Center Feed** sample:

![google merchant center feed](/files/7pMeMyH8xOg2F9DJzoGL)

### Upgrading

{% hint style="info" %}
Even though the package modifies only the `umbracoCommerceProductFeedSetting` table, it is always advisable to take a complete backup of your site/database before upgrading.
{% endhint %}

The Product Feeds package uses a database migration for both installs and upgrades. Upgrading is generally a case of installing the latest version via NuGet over the existing package and restarting the website.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce-packages/product-feeds/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
